/*
 * defs.h: Common definitions
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _DEFS__H
#define _DEFS__H

// --- enums ------------------------------------------------------------------

typedef enum
{
  black = 0,
  white,
  red,
  green,
  blue,
  yellow,
  cyan,
  magenta
} tStaticColors;

typedef enum
{
  live_picture_hsv = 0,
  static_color,
} tMode;

typedef enum
{
  no_input = 0,
  grab
} tInput;

typedef enum
{
  no_output = 0,
  usb
} tOutput;

typedef enum
{
  no_filter = 0,
  combined
} tFilter;

// --- structs ----------------------------------------------------------------

typedef struct
{
  unsigned char r, g, b;
} tRGBColor;

typedef struct
{
  unsigned int h, s, v;
} tHSVColor;

typedef struct
{
  long int r, g, b;
} tRGBColorLongInt;

#endif // _DEFS__H
