/*
 * input.h: Abstract input class
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _INPUT__H
#define _INPUT__H

class cInput
{
public:
  virtual ~cInput() {};

  // Opens the input-device. Parameters (e.g. the device-name) can be given in 'param'.
  // Returns true if the input-device was opened successfully.
  virtual bool Open(const char *param) = 0;

  // Closes the input-device.
  // Returns true if the input-device was closed successfully.
  virtual bool Close(void) = 0;

  // Returns the image in HSV format for further processing.
  virtual bool GetHSVImg(tHSVColor *hsv) = 0;
};

#endif // _INPUT__H
