/*
 * menu.h: Menus
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _MENU__H
#define _MENU__H

#include <vdr/plugin.h>

// --- cMenuSetupMenu ---------------------------------------------------------

class cMenuSetupMenu : public cMenuSetupPage
{
private:
  const char *useStartModeTexts[3];
  void Set(void);
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
public:
  static bool SetupParse(const char *Name, const char *Value);
  cMenuSetupMenu();
};

// --- cMenuSetupMode --------------------------------------------------------

class cMenuSetupMode : public cOsdMenu
{
private:
  const char *useModeTexts[2];
  const char *useStaticColorsTexts[8];
  void Set(void);
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
public:
  cMenuSetupMode(void);
  static bool SetupParse(const char *Name, const char *Value);
};

// --- cMenuSetupFilter ------------------------------------------------------

class cMenuSetupFilter : public cOsdMenu
{
private:
  const char *useFilterTexts[2];
  void Set(void);
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
public:
  cMenuSetupFilter(void);
  static bool SetupParse(const char *Name, const char *Value);
};

// -- cMenuSetupChannels --------------------------------------------------------

class cMenuSetupChannels : public cOsdMenu
{
private:
  void Set(void);
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
public:
  cMenuSetupChannels(void);
  static bool SetupParse(const char *Name, const char *Value);
};

// --- cMenuSetupGamma -------------------------------------------------------

class cMenuSetupGamma : public cOsdMenu
{
private:
  void Set(void);
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
public:
  cMenuSetupGamma(void);
  static bool SetupParse(const char *Name, const char *Value);
};

// --- cMenuEditUCharItem -----------------------------------------------------

class cMenuEditUCharItem : public cMenuEditItem
{
protected:
  unsigned char *value;
  unsigned char min, max;
  virtual void Set(void);
public:
  cMenuEditUCharItem(const char *Name, unsigned char *Value, unsigned char Min = 0, unsigned char Max = 255);
  virtual eOSState ProcessKey(eKeys Key);
};

#endif // _MENU__H
