/*
 * output.h: Abstract output class
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _OUTPUT__H
#define _OUTPUT__H

class cOutput
{
public:
  virtual ~cOutput() {};

  // Calculates the values for the gamma correction of the output device.
  virtual void CalcGamma(void) = 0;

  // Opens the output device. Parameters (e.g. the device-name) can be given in 'param'.
  // Returns true if the output-device was opened successfully.
  virtual bool Open(const char *param) = 0;

  // Closes the output device.
  // Returns true if the output-device was closed successfully.
  virtual bool Close(void) = 0;

  // Sends the given colors to the output device.
  // Returns true if the colors were send successfully.
  virtual bool OutputColors(tRGBColor *col) = 0;
};

#endif // _OUTPUT__H
