/*
 * solarstorm.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _SOLARSTORM__H
#define _SOLARSTORM__H

static const char *VERSION        = "0.1.0";
static const char *DESCRIPTION    = "Solarstorm-Plugin";

class cPluginSolarstorm : public cPlugin
{
private:
  // Add any member variables or functions you may need here.

public:
  cPluginSolarstorm(void);
  virtual ~cPluginSolarstorm();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Stop(void);
  virtual void Housekeeping(void);
  virtual void MainThreadHook(void);
  virtual cString Active(void);
  virtual time_t WakeupTime(void);
  virtual const char *MainMenuEntry(void);
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  virtual bool Service(const char *Id, void *Data = NULL);
  virtual const char **SVDRPHelpPages(void);
  virtual cString SVDRPCommand(const char *Command, const char *Option, int &ReplyCode);

  virtual void ResetFilter();
  virtual void CalcGamma();
  virtual void DoWhiteCalibration();
};

#endif // _SOLARSTORM__H
