/*
 * whitecalibration.h: White calibration
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _WHITECALIBRATION__H
#define _WHITECALIBRATION__H

class cWhiteCalibration : public cOsdObject
{
private:
  cOsd *osd;
  int osd_height, osd_width; // OSD size
  int cur_line;              // current chosen line
  int cur_channel;           // current chosen channel
  tMode old_Mode;
  tFilter old_FilterMode;

  void AdjustChannel(int step);
  void AdjustValue(unsigned char *value, int step);
  void Adjust(int step);
  void DrawMark(void);
  void DrawLine(int line_nr, const char *desc, int value);
  void DrawTexts(void);

public:
  cWhiteCalibration();
  ~cWhiteCalibration();
  static void Init(void);
  static void Exit(void);
  virtual void Show(void);
  static bool SetupParse(const char *Name, const char *Value);
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
};

#endif //_WHITECALIBRATION__H
